package com.medipreco.loopboxplugin;

import io.flutter.plugin.common.BasicMessageChannel;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MessageCodec;
import io.flutter.plugin.common.StringCodec;

public class LoopboxBasicChannel {

  private static final String DEVICES_NEARBY_EVENT = "com.medipreco.loopboxplugin/devices/nearby";

  private BasicMessageChannel basicMessageChannel;

  public LoopboxBasicChannel() {
  }

  public void setupEventChannel(BinaryMessenger messenger) {
    this.basicMessageChannel = new BasicMessageChannel<String>(
        messenger,
        DEVICES_NEARBY_EVENT,
        StringCodec.INSTANCE);

    this.basicMessageChannel.setMessageHandler(new BasicMessageChannel.MessageHandler<String>() {
      @Override
      public void onMessage(String s, BasicMessageChannel.Reply<String> reply) {
        reply.reply("");
      }
    });
  }

  public void send(String msg) {
    this.basicMessageChannel.send(msg);
  }
}
